import { createApp } from 'vue'
import router from './router'
import App from './App.vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import { createPinia } from 'pinia'
import i18n from './i18n'
import './styles.css'
import './element.scss'

const pinia = createPinia()
const app = createApp(App)
app.use(pinia).use(ElementPlus).use(i18n).use(router)
app.mount('#app')
// for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
//   ;(app as any).component(key, component)
// }
