import { Generated, Insertable, Selectable, Updateable } from 'kysely'

// SKU表
export interface MenuSkuTable {
  id: Generated<number> // 主键
  skuNo: string // SKU编号
  logo: string // SKU Logo
  goodsId: number // 商品ID
  specIds: string // 规格ID
  stock: number // 库存
  price: number // 价格
  linePrice: number // 划线价
  weight: number // 重量
  status: 'A' | 'D' // 状态 (A-Active, D-Deleted)
}

export type MenuSku = Selectable<MenuSkuTable>
export type NewMenuSku = Insertable<MenuSkuTable>
export type MenuSkuUpdate = Updateable<MenuSkuTable>
