import { Generated, Insertable, Selectable, Updateable } from 'kysely'

// 规格表
export interface MenuSpecTable {
  id: Generated<number> // 主键
  goodsId: number // 商品ID
  name: string // 规格名称
  value: string // 规格值
  status: 'A' | 'D' // 状态 (A-Active, D-Deleted)
}

export type MenuSpec = Selectable<MenuSpecTable>
export type NewMenuSpec = Insertable<MenuSpecTable>
export type MenuSpecUpdate = Updateable<MenuSpecTable>
